Debian Bug report logs - #618805
britney2: wrong uninstallable count in some cases? (libebml+libmatroska transition)

Package: release.debian.org; Maintainer for release.debian.org is Debian Release Team <debian-release@lists.debian.org>;

Reported by: Julien Cristau <jcristau@debian.org>

Date: Fri, 18 Mar 2011 15:57:01 UTC

Severity: normal

Done: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, britney2@release.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#618805; Package release.debian.org. (Fri, 18 Mar 2011 15:57:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
New Bug report received and forwarded. Copy sent to britney2@release.debian.org, Debian Release Team <debian-release@lists.debian.org>. (Fri, 18 Mar 2011 15:57:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: submit@bugs.debian.org
Subject: britney2: wrong uninstallable count in some cases? (libebml+libmatroska transition)
Date: Fri, 18 Mar 2011 16:53:48 +0100
Package: release.debian.org
User: release.debian.org@packages.debian.org
Usertags: britney

Filing in the bts so we don't forget...
This was from the March 16 morning run.

On Wed, Mar 16, 2011 at 11:37:57 +0100, Julien Cristau wrote:

> On Wed, Mar 16, 2011 at 10:23:35 +0000, Release Managers wrote:
> 
> > --- HeidiResult_b1	2011-03-16 10:10:09.000000000 +0000
> > +++ HeidiResult_b2	2011-03-16 10:23:29.000000000 +0000
> > @@ -121224,29 +121224,29 @@
> > -libebml 1.2.0-2 source libs
> > +libebml 0.7.7-3.1 source libs
> 
> Looks like we got ourselves yet another b2 bug...
> 
> b1 does:
> Trying hint from jcristau: libmatroska/1.1.0-2 libebml/1.2.0-2
> leading: libmatroska,libebml
> start: 113+0: i-7:a-2:a-2:i-2:k-45:k-45:m-3:m-2:p-2:s-2:s-1
> orig: 113+0: i-7:a-2:a-2:i-2:k-45:k-45:m-3:m-2:p-2:s-2:s-1
> recur: [] libmatroska,libebml 403/0
> trying: -boost-jam
> skipped: -boost-jam (0 <- 402)
>     got: 31+0: i-31
>     * i386: boost-build
> [...]
> trying: grass
> skipped: grass (360 <- 42)
>     got: 35+0: i-35
>     * i386: grass, grass-dev, libgdal1-1.6.0-grass, libqgis-dev, qgis-plugin-grass
> 
> b2:
> Trying hint from jcristau: libmatroska/1.1.0-2 libebml/1.2.0-2
> leading: libmatroska,libebml
> start: 113+0: i-7:a-2:a-2:i-2:k-45:k-45:m-3:m-2:p-2:s-2:s-1
> orig: 113+0: i-7:a-2:a-2:i-2:k-45:k-45:m-3:m-2:p-2:s-2:s-1
> recur: [] libmatroska,libebml 403/0

b2 believes grass, grass-dev, libgdal1-1.6.0-grass, libqgis-dev,
qgis-plugin-grass are already uninstallable by that point.

> trying: -boost-jam
> skipped: -boost-jam (0 <- 402)
>     got: 36+0: i-36
>     * i386: boost-build
> [...]
> trying: grass
> accepted: grass
>    ori: 113+0: i-7:a-2:a-2:i-2:k-45:k-45:m-3:m-2:p-2:s-2:s-1
>    pre: 382+0: i-35:a-27:a-26:i-26:k-69:k-69:m-27:m-26:p-26:s-26:s-25
>    now: 382+0: i-35:a-27:a-26:i-26:k-69:k-69:m-27:m-26:p-26:s-26:s-25
>    all: libmatroska libebml grass
> 
> i.e. it seems to have a different (broken?) uninstallable count at the
> start of the hint already...
> 
Cheers,
Julien




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Release Team <debian-release@lists.debian.org>:
Bug#618805; Package release.debian.org. (Wed, 18 May 2011 18:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Release Team <debian-release@lists.debian.org>. (Wed, 18 May 2011 18:54:06 GMT) Full text and rfc822 format available.

Message #10 received at 618805@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: Julien Cristau <jcristau@debian.org>, 618805@bugs.debian.org
Subject: Re: Bug#618805: britney2: wrong uninstallable count in some cases? (libebml+libmatroska transition)
Date: Wed, 18 May 2011 19:51:41 +0100
On Fri, 2011-03-18 at 16:53 +0100, Julien Cristau wrote:
> > b2:
> > Trying hint from jcristau: libmatroska/1.1.0-2 libebml/1.2.0-2
> > leading: libmatroska,libebml
> > start: 113+0: i-7:a-2:a-2:i-2:k-45:k-45:m-3:m-2:p-2:s-2:s-1
> > orig: 113+0: i-7:a-2:a-2:i-2:k-45:k-45:m-3:m-2:p-2:s-2:s-1
> > recur: [] libmatroska,libebml 403/0
> 
> b2 believes grass, grass-dev, libgdal1-1.6.0-grass, libqgis-dev,
> qgis-plugin-grass are already uninstallable by that point.
[...]
> > trying: grass
> > accepted: grass
> >    ori: 113+0: i-7:a-2:a-2:i-2:k-45:k-45:m-3:m-2:p-2:s-2:s-1
> >    pre: 382+0: i-35:a-27:a-26:i-26:k-69:k-69:m-27:m-26:p-26:s-26:s-25
> >    now: 382+0: i-35:a-27:a-26:i-26:k-69:k-69:m-27:m-26:p-26:s-26:s-25
> >    all: libmatroska libebml grass
> > 
> > i.e. it seems to have a different (broken?) uninstallable count at the
> > start of the hint already...

This may (but equally may not) be related to an issue I fixed earlier
today and pushed as 347022bb01182704cc1976ffb8fd2de916933620.
Unfortunately I haven't managed to reproduce this particular issue in my
tests so far, which is making it difficult to confirm whether one of the
recent fixes may have resolved it.

Regards,

Adam





Reply sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
You have taken responsibility. (Fri, 20 May 2011 20:51:03 GMT) Full text and rfc822 format available.

Notification sent to Julien Cristau <jcristau@debian.org>:
Bug acknowledged by developer. (Fri, 20 May 2011 20:51:04 GMT) Full text and rfc822 format available.

Message #15 received at 618805-done@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: 618805-done@bugs.debian.org
Cc: Julien Cristau <jcristau@debian.org>
Subject: Re: Bug#618805: britney2: wrong uninstallable count in some cases? (libebml+libmatroska transition)
Date: Fri, 20 May 2011 21:49:46 +0100
On Wed, 2011-05-18 at 19:51 +0100, Adam D. Barratt wrote:
> On Fri, 2011-03-18 at 16:53 +0100, Julien Cristau wrote:
> > b2 believes grass, grass-dev, libgdal1-1.6.0-grass, libqgis-dev,
> > qgis-plugin-grass are already uninstallable by that point.
[...]
> > > i.e. it seems to have a different (broken?) uninstallable count at the
> > > start of the hint already...
> 
> This may (but equally may not) be related to an issue I fixed earlier
> today and pushed as 347022bb01182704cc1976ffb8fd2de916933620.
> Unfortunately I haven't managed to reproduce this particular issue in my
> tests so far, which is making it difficult to confirm whether one of the
> recent fixes may have resolved it.

I managed to reproduce the original issue earlier today, and confirmed
that it reliably occurs with the code from March and never occurs with
the current code.  On that basis, I'm marking this as fixed.

Regards,

Adam





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 Jun 2011 07:30:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:34:09 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.